<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_35) on Sun Jan 20 22:41:15 CET 2013 -->
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<TITLE>
org.apache.http.impl.auth Class Hierarchy (HttpClient 4.3-alpha1 API)
</TITLE>

<META NAME="date" CONTENT="2013-01-20">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="org.apache.http.impl.auth Class Hierarchy (HttpClient 4.3-alpha1 API)";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Tree</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../org/apache/http/cookie/params/package-tree.html"><B>PREV</B></A>&nbsp;
&nbsp;<A HREF="../../../../../org/apache/http/impl/client/package-tree.html"><B>NEXT</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/http/impl/auth/package-tree.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-tree.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H2>
Hierarchy For Package org.apache.http.impl.auth
</H2>
</CENTER>
<DL>
<DT><B>Package Hierarchies:</B><DD><A HREF="../../../../../overview-tree.html">All Packages</A></DL>
<HR>
<H2>
Class Hierarchy
</H2>
<UL>
<LI TYPE="circle">java.lang.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang"><B>Object</B></A><UL>
<LI TYPE="circle">org.apache.http.impl.auth.<A HREF="../../../../../org/apache/http/impl/auth/AuthSchemeBase.html" title="class in org.apache.http.impl.auth"><B>AuthSchemeBase</B></A> (implements org.apache.http.auth.<A HREF="../../../../../org/apache/http/auth/ContextAwareAuthScheme.html" title="interface in org.apache.http.auth">ContextAwareAuthScheme</A>)
<UL>
<LI TYPE="circle">org.apache.http.impl.auth.<A HREF="../../../../../org/apache/http/impl/auth/GGSSchemeBase.html" title="class in org.apache.http.impl.auth"><B>GGSSchemeBase</B></A><UL>
<LI TYPE="circle">org.apache.http.impl.auth.<A HREF="../../../../../org/apache/http/impl/auth/KerberosScheme.html" title="class in org.apache.http.impl.auth"><B>KerberosScheme</B></A><LI TYPE="circle">org.apache.http.impl.auth.<A HREF="../../../../../org/apache/http/impl/auth/NegotiateScheme.html" title="class in org.apache.http.impl.auth"><B>NegotiateScheme</B></A><LI TYPE="circle">org.apache.http.impl.auth.<A HREF="../../../../../org/apache/http/impl/auth/SPNegoScheme.html" title="class in org.apache.http.impl.auth"><B>SPNegoScheme</B></A></UL>
<LI TYPE="circle">org.apache.http.impl.auth.<A HREF="../../../../../org/apache/http/impl/auth/NTLMScheme.html" title="class in org.apache.http.impl.auth"><B>NTLMScheme</B></A><LI TYPE="circle">org.apache.http.impl.auth.<A HREF="../../../../../org/apache/http/impl/auth/RFC2617Scheme.html" title="class in org.apache.http.impl.auth"><B>RFC2617Scheme</B></A><UL>
<LI TYPE="circle">org.apache.http.impl.auth.<A HREF="../../../../../org/apache/http/impl/auth/BasicScheme.html" title="class in org.apache.http.impl.auth"><B>BasicScheme</B></A><LI TYPE="circle">org.apache.http.impl.auth.<A HREF="../../../../../org/apache/http/impl/auth/DigestScheme.html" title="class in org.apache.http.impl.auth"><B>DigestScheme</B></A></UL>
</UL>
<LI TYPE="circle">org.apache.http.impl.auth.<A HREF="../../../../../org/apache/http/impl/auth/BasicSchemeFactory.html" title="class in org.apache.http.impl.auth"><B>BasicSchemeFactory</B></A> (implements org.apache.http.auth.<A HREF="../../../../../org/apache/http/auth/AuthSchemeFactory.html" title="interface in org.apache.http.auth">AuthSchemeFactory</A>, org.apache.http.auth.<A HREF="../../../../../org/apache/http/auth/AuthSchemeProvider.html" title="interface in org.apache.http.auth">AuthSchemeProvider</A>)
<LI TYPE="circle">org.apache.http.impl.auth.<A HREF="../../../../../org/apache/http/impl/auth/DigestSchemeFactory.html" title="class in org.apache.http.impl.auth"><B>DigestSchemeFactory</B></A> (implements org.apache.http.auth.<A HREF="../../../../../org/apache/http/auth/AuthSchemeFactory.html" title="interface in org.apache.http.auth">AuthSchemeFactory</A>, org.apache.http.auth.<A HREF="../../../../../org/apache/http/auth/AuthSchemeProvider.html" title="interface in org.apache.http.auth">AuthSchemeProvider</A>)
<LI TYPE="circle">org.apache.http.impl.auth.<A HREF="../../../../../org/apache/http/impl/auth/KerberosSchemeFactory.html" title="class in org.apache.http.impl.auth"><B>KerberosSchemeFactory</B></A> (implements org.apache.http.auth.<A HREF="../../../../../org/apache/http/auth/AuthSchemeFactory.html" title="interface in org.apache.http.auth">AuthSchemeFactory</A>, org.apache.http.auth.<A HREF="../../../../../org/apache/http/auth/AuthSchemeProvider.html" title="interface in org.apache.http.auth">AuthSchemeProvider</A>)
<LI TYPE="circle">org.apache.http.impl.auth.<A HREF="../../../../../org/apache/http/impl/auth/NegotiateSchemeFactory.html" title="class in org.apache.http.impl.auth"><B>NegotiateSchemeFactory</B></A> (implements org.apache.http.auth.<A HREF="../../../../../org/apache/http/auth/AuthSchemeFactory.html" title="interface in org.apache.http.auth">AuthSchemeFactory</A>)
<LI TYPE="circle">org.apache.http.impl.auth.<A HREF="../../../../../org/apache/http/impl/auth/NTLMSchemeFactory.html" title="class in org.apache.http.impl.auth"><B>NTLMSchemeFactory</B></A> (implements org.apache.http.auth.<A HREF="../../../../../org/apache/http/auth/AuthSchemeFactory.html" title="interface in org.apache.http.auth">AuthSchemeFactory</A>, org.apache.http.auth.<A HREF="../../../../../org/apache/http/auth/AuthSchemeProvider.html" title="interface in org.apache.http.auth">AuthSchemeProvider</A>)
<LI TYPE="circle">org.apache.http.impl.auth.<A HREF="../../../../../org/apache/http/impl/auth/SPNegoSchemeFactory.html" title="class in org.apache.http.impl.auth"><B>SPNegoSchemeFactory</B></A> (implements org.apache.http.auth.<A HREF="../../../../../org/apache/http/auth/AuthSchemeFactory.html" title="interface in org.apache.http.auth">AuthSchemeFactory</A>, org.apache.http.auth.<A HREF="../../../../../org/apache/http/auth/AuthSchemeProvider.html" title="interface in org.apache.http.auth">AuthSchemeProvider</A>)
<LI TYPE="circle">java.lang.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Throwable.html?is-external=true" title="class or interface in java.lang"><B>Throwable</B></A> (implements java.io.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</A>)
<UL>
<LI TYPE="circle">java.lang.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang"><B>Exception</B></A><UL>
<LI TYPE="circle">org.apache.http.<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpException.html?is-external=true" title="class or interface in org.apache.http"><B>HttpException</B></A><UL>
<LI TYPE="circle">org.apache.http.<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/ProtocolException.html?is-external=true" title="class or interface in org.apache.http"><B>ProtocolException</B></A><UL>
<LI TYPE="circle">org.apache.http.auth.<A HREF="../../../../../org/apache/http/auth/AuthenticationException.html" title="class in org.apache.http.auth"><B>AuthenticationException</B></A><UL>
<LI TYPE="circle">org.apache.http.impl.auth.<A HREF="../../../../../org/apache/http/impl/auth/NTLMEngineException.html" title="class in org.apache.http.impl.auth"><B>NTLMEngineException</B></A></UL>
</UL>
</UL>
<LI TYPE="circle">java.lang.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/RuntimeException.html?is-external=true" title="class or interface in java.lang"><B>RuntimeException</B></A><UL>
<LI TYPE="circle">org.apache.http.impl.auth.<A HREF="../../../../../org/apache/http/impl/auth/UnsupportedDigestAlgorithmException.html" title="class in org.apache.http.impl.auth"><B>UnsupportedDigestAlgorithmException</B></A></UL>
</UL>
</UL>
</UL>
</UL>
<H2>
Interface Hierarchy
</H2>
<UL>
<LI TYPE="circle">org.apache.http.impl.auth.<A HREF="../../../../../org/apache/http/impl/auth/NTLMEngine.html" title="interface in org.apache.http.impl.auth"><B>NTLMEngine</B></A><LI TYPE="circle">org.apache.http.impl.auth.<A HREF="../../../../../org/apache/http/impl/auth/SpnegoTokenGenerator.html" title="interface in org.apache.http.impl.auth"><B>SpnegoTokenGenerator</B></A></UL>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Tree</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../org/apache/http/cookie/params/package-tree.html"><B>PREV</B></A>&nbsp;
&nbsp;<A HREF="../../../../../org/apache/http/impl/client/package-tree.html"><B>NEXT</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/http/impl/auth/package-tree.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-tree.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
Copyright &#169; 1999-2013 <a href="http://www.apache.org/">The Apache Software Foundation</a>. All Rights Reserved.
</BODY>
</HTML>
